Update Ticket Priority
Updates the priority of a specified ticket.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
PUT /api/sonar/tickets/:guid/priority
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-d priority=HIGH \
-X PUT \
https://HOSTNAME/api/sonar/tickets/201dc306-5ef7-4d4f-b872-1fa0f4d7dc56/priority
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guid | O | String | Ticket GUID | 36 characters |
| priority | O | String | Priority | LOW or MEDIUM or HIGH |
Success Response
{}
Error Responses
Required argument is missing
HTTP status code 400
{
"error_code": "null-argument",
"error_msg": "priority should be not null"
}
Ticket identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
Ticket is not found
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "ticket not found: 201dc306-5ef7-4d4f-b872-1fa0f4d7dc57"
}